#ifndef MAX_CLASS_
#define MAX_CLASS_

#include <string>

// Class declaration
// -----------------
class Max {
private:
  int x;
  int y;
public:
  Max(int xVal, int yVal) : x{xVal}, y{yVal} {}

  int findMax();  // function prototype
  
};

// Function definitions
// --------------------
int Max::findMax()
{
  return (x > y) ? x: y;
}



// // Class declaration
// // -----------------
// template<typename T>
// class Max {
// private:
//   T x;
//   T y;
// public:
//   Max(T xVal, T yVal) : x{xVal}, y{yVal} {}

//   T findMax();  // function prototype
  
// };

// // Function definitions
// // --------------------
// template<typename T>
// T Max<T>::findMax()
// {
//   return (x > y) ? x: y;
// }


#endif

  


